com.microfocus.zserver.zexplorer

## Class ZExplorerConnectorServiceManager

- java.lang.Object
- - AbstractConnectorServiceManager
  - - com.microfocus.zserver.zexplorer.ZExplorerConnectorServiceManager

-     public class ZExplorerConnectorServiceManager
      extends AbstractConnectorServiceManager

  Connector service manager for a z/OS connection.

  Copyright (C) Micro Focus 2010

  Author:
    Ralf Pakosch
  See Also:
    `AbstractConnectorServiceManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZExplorerConnectorServiceManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IConnectorService` | `createConnectorService(IHost pHost)`
    `java.util.Map<IHost,ZExplorerConnectorService>` | `getConnectionMap()` Gets a map of managed connections.
    `static ZExplorerConnectorServiceManager` | `getInstance()` Gets the singleton instance.
    `IMvsSubsystem` | `getMvsSubSystem(IHost pHost)` Gets the `IMvsSubsystem` of the given host.
    `java.lang.Class` | `getSubSystemCommonInterface(ISubSystem pSubsystem)`
    `boolean` | `sharesSystem(ISubSystem pOtherSubSystem)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZExplorerConnectorServiceManager

          public ZExplorerConnectorServiceManager()

  - ### Method Detail

    - #### createConnectorService

          public IConnectorService createConnectorService(IHost pHost)

    - #### getMvsSubSystem

          public IMvsSubsystem getMvsSubSystem(IHost pHost)

      Gets the `IMvsSubsystem` of the given host.
      Parameters:
        `pHost` - the host to get the MVS subsystem from
      Returns:
        the MVS sub system or `null` if the host is not managed by this connection service manager

    - #### sharesSystem

          public boolean sharesSystem(ISubSystem pOtherSubSystem)

    - #### getSubSystemCommonInterface

          public java.lang.Class getSubSystemCommonInterface(ISubSystem pSubsystem)

    - #### getInstance

          public static ZExplorerConnectorServiceManager getInstance()

      Gets the singleton instance.
      Returns:
        the instance

    - #### getConnectionMap

          public java.util.Map<IHost,ZExplorerConnectorService> getConnectionMap()

      Gets a map of managed connections.
      Returns:
        a map of hosts and connector services

Copyright © 2015 Micro Focus GmbH. All rights reserved.